Page MenuHomePhabricator

[mips][microMIPS] Implement SWM and LWM aliases
ClosedPublic

Authored by zoran.jovanovic on Oct 16 2014, 4:53 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

zoran.jovanovic retitled this revision from to [mips][microMIPS] Implement SWM and LWM aliases.
zoran.jovanovic updated this object.
zoran.jovanovic edited the test plan for this revision. (Show Details)
sstankovic added inline comments.Jan 22 2015, 5:38 AM
lib/Target/Mips/AsmParser/MipsAsmParser.cpp
1650 ↗(On Diff #15008)

opNum should start in uppercase.

1659 ↗(On Diff #15008)

I think the following will always be true (based on definition in .td file):

Inst.getOperand(opNum - 1).isImm(), Inst.getOperand(opNum - 2).isReg() and
(Inst.getOperand(opNum - 3).isReg(). So you don't need to check it here. You may add asserts for this.

lib/Target/Mips/MicroMipsInstrInfo.td
374 ↗(On Diff #15008)

This line is unaligned.

378 ↗(On Diff #15008)

Same here.

zoran.jovanovic added a subscriber: Unknown Object (MLST).

Modified and rebased patch.

sstankovic accepted this revision.Jan 26 2015, 8:44 AM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Jan 26 2015, 8:44 AM
This revision was automatically updated to reflect the committed changes.